Subject: Re: [alsa-devel][PATCH] ASoC: fsl: add imx-wm8960 machine driver

From: Nicolin Chen <[email-masked]>
Date: Thu, 11 Jun 2015 08:51:07 -0700

On Thu, Jun 11, 2015 at 07:10:00PM +0800, Zidan Wang wrote:

> > > This imx-wm8960 device-tree-only machine driver works with sai driver
> > > and have below feature.
> > > * support codec master and slave mode
> > > * support headphone jack detect
> > > * support headphone and micphone jack event
> > > * support asrc<->sai<->wm8960 mode
> > > 
> > > Signed-off-by: Zidan Wang <[email-masked]>
> > 
> > Above all, could you merge this into fsl-asoc-card?
> > 
> > It'd be nicer to have jack detection over there. And we can
> > put PLL settings to the codec driver as Mark suggested.

> I want to modify imx-wm8960 and upstream it because our release is using it now. After
> upstreaming imx-wm8960, i will try to merge it to fsl-asoc-card.

I knew your intention. That's why I suggested you to merge it directly
to fsl-asoc-card instead of making a duplicated copy of that. Remember
that getting code upstream should be a chance for us to improve thing.

If you find painstaking to handle it in parallel, you can focus on the
improvements of the WM8960 driver while I would help you on the dai-
link part. How about this?

Nicolin